public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrey Utkin" <andrey_utkin@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/dino/
Date: Tue,  1 Mar 2022 23:21:40 +0000 (UTC)	[thread overview]
Message-ID: <1646176847.58afd450fb5f6b944b22591df7f829130762a0dd.andrey_utkin@gentoo> (raw)

commit:     58afd450fb5f6b944b22591df7f829130762a0dd
Author:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  1 23:20:47 2022 +0000
Commit:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
CommitDate: Tue Mar  1 23:20:47 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58afd450

net-im/dino: add new version 0.3.0

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andrey Utkin <andrey_utkin <AT> gentoo.org>

 net-im/dino/Manifest          |  1 +
 net-im/dino/dino-0.3.0.ebuild | 93 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/net-im/dino/Manifest b/net-im/dino/Manifest
index 800169e77e53..31d947152e89 100644
--- a/net-im/dino/Manifest
+++ b/net-im/dino/Manifest
@@ -1,2 +1,3 @@
 DIST dino-0.2.1.tar.gz 514504 BLAKE2B 42fae18bb7cda276c1eadeefdea130069f9929dfde62855f00ab6b88912fe9db3374315f40ff8f53350cf38e45fe61b0fd6256ef390cdbed6a65a3f2d79ac80a SHA512 b71497ec115945eadf7d33bb973f68465a20284aa75f37f1ae25fc30c1c423ce28cb10f7e9123c47f82e77e97170b8fa72c75389dacc3a2aa3d487a9c9610d49
 DIST dino-0.2.2.tar.gz 514648 BLAKE2B 54110f3767b5d1d3d4bffc82b767d3c92114c55449ad10705ed10b8815ecc9c337016348886acc3df21d5f27be5d93bbe3c203173167146ff9859bd03f0be7a6 SHA512 6c973b0b88e2c8aecbab694b456762973c5f60217bbf6bc81f4d81226fe8124596bddfe7c190f35307ec3ad6376858ce8f686c74aaebec133124377d8a9e4898
+DIST dino-0.3.0.tar.gz 804810 BLAKE2B cb6365f6fad051d0308909c6d5d2c59d7f57cb94f9f691516e27b7bb3aba214fdffa95066d8203d8ac5bd770bec1580e81baad313beef7fe5c058e1e94a37556 SHA512 e3d885208451b00b0416a1401780a94a169fb1179b2f609f7965e3445873d6b72ded84cb471d534616892ec89b5edcd6701fc97c36f19d690f4b894399000515

diff --git a/net-im/dino/dino-0.3.0.ebuild b/net-im/dino/dino-0.3.0.ebuild
new file mode 100644
index 000000000000..dcefefcd1c83
--- /dev/null
+++ b/net-im/dino/dino-0.3.0.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+CMAKE_MAKEFILE_GENERATOR="ninja"
+VALA_MIN_API_VERSION="0.34"
+inherit cmake vala xdg readme.gentoo-r1
+
+DESCRIPTION="Modern Jabber/XMPP Client using GTK+/Vala"
+HOMEPAGE="https://dino.im"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="+gpg +http +omemo +notification-sound test"
+RESTRICT="!test? ( test )"
+
+MY_REPO_URI="https://github.com/dino/dino"
+if [[ ${PV} == "9999" ]]; then
+	EGIT_REPO_URI="${MY_REPO_URI}.git"
+	inherit git-r3
+else
+	KEYWORDS="~amd64 ~arm64"
+	SRC_URI="${MY_REPO_URI}/releases/download/v${PV}/${P}.tar.gz"
+fi
+
+RDEPEND="
+	app-text/gspell[vala]
+	dev-db/sqlite:3
+	dev-libs/glib:2
+	dev-libs/icu
+	dev-libs/libgee:0.8
+	net-libs/glib-networking
+	>=net-libs/libnice-0.1.15
+	net-libs/libsignal-protocol-c
+	net-libs/libsrtp:2
+	x11-libs/cairo
+	x11-libs/gdk-pixbuf:2
+	x11-libs/gtk+:3
+	x11-libs/pango
+	gpg? ( app-crypt/gpgme:= )
+	http? ( net-libs/libsoup:2.4 )
+	omemo? (
+		dev-libs/libgcrypt:0
+		media-gfx/qrencode
+	)
+	notification-sound? ( media-libs/libcanberra:0[sound] )
+"
+DEPEND="
+	$(vala_depend)
+	${RDEPEND}
+	media-libs/gst-plugins-base
+	media-libs/gstreamer
+	sys-devel/gettext
+"
+
+src_prepare() {
+	cmake_src_prepare
+	vala_src_prepare
+}
+
+src_configure() {
+	local disabled_plugins=(
+		$(usex gpg "" "openpgp")
+		$(usex omemo "" "omemo")
+		$(usex http  "" "http-files")
+	)
+	local enabled_plugins=(
+		$(usex notification-sound "notification-sound" "")
+	)
+	local mycmakeargs+=(
+		"-DENABLED_PLUGINS=$(local IFS=";"; echo "${enabled_plugins[*]}")"
+		"-DDISABLED_PLUGINS=$(local IFS=";"; echo "${disabled_plugins[*]}")"
+		"-DVALA_EXECUTABLE=${VALAC}"
+		"-DBUILD_TESTS=$(usex test)"
+	)
+
+	cmake_src_configure
+}
+
+src_test() {
+	"${BUILD_DIR}"/xmpp-vala-test || die
+}
+
+src_install() {
+	cmake_src_install
+	readme.gentoo_create_doc
+}
+
+src_postinst() {
+	xdg_pkg_postinst
+	readme.gentoo_print_elog
+}


             reply	other threads:[~2022-03-01 23:21 UTC|newest]

Thread overview: 51+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-03-01 23:21 Andrey Utkin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-03  2:59 [gentoo-commits] repo/gentoo:master commit in: net-im/dino/ Sam James
2024-07-03  0:37 Sam James
2023-07-26  3:02 Sam James
2023-07-26  3:02 Sam James
2023-07-10  8:58 Florian Schmaus
2023-06-01  8:16 Florian Schmaus
2023-06-01  7:58 Florian Schmaus
2023-06-01  7:58 Florian Schmaus
2023-06-01  7:58 Florian Schmaus
2023-06-01  7:58 Florian Schmaus
2023-06-01  7:58 Florian Schmaus
2023-03-24  8:44 Florian Schmaus
2023-03-22  5:48 Sam James
2023-03-11 16:26 Sam James
2023-03-11 16:26 Sam James
2023-01-01 16:20 David Seifert
2023-01-01 16:20 David Seifert
2023-01-01 16:20 David Seifert
2023-01-01 14:48 David Seifert
2022-12-18 11:37 Sam James
2022-04-13 14:46 Sam James
2022-02-16 21:26 David Seifert
2021-10-22 12:09 Andrey Utkin
2021-10-13 16:22 Andrey Utkin
2021-08-11  2:05 Sam James
2021-08-11  2:05 Sam James
2021-07-24  6:22 John Helmert III
2021-06-08  4:03 Sam James
2021-06-07 23:10 Sam James
2021-06-07 23:02 Andrey Utkin
2021-06-07 21:45 Andrey Utkin
2021-06-07 21:40 Andrey Utkin
2021-02-22 14:06 Andrey Utkin
2021-02-22 14:06 Andrey Utkin
2020-12-31  1:47 Sam James
2020-12-29 22:57 Sam James
2020-11-19  7:10 Andrey Utkin
2020-11-19  7:10 Andrey Utkin
2020-11-02 20:38 Andrey Utkin
2020-07-20  1:10 Sam James
2020-05-06 21:34 Andrey Utkin
2020-02-10 23:54 Andrey Utkin
2020-02-10 23:54 Andrey Utkin
2020-02-10 23:54 Andrey Utkin
2019-03-07  9:43 Andrey Utkin
2019-02-20 10:56 Andrey Utkin
2019-02-18 19:29 Andrey Utkin
2019-02-01 18:35 Andrey Utkin
2018-11-15 14:36 Andrey Utkin
2018-08-18 19:54 Andrey Utkin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1646176847.58afd450fb5f6b944b22591df7f829130762a0dd.andrey_utkin@gentoo \
    --to=andrey_utkin@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox